Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0009984
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2009-07-21 20:152009-09-08 00:00
ReporterplujanView Statuspublic 
Assigned Toiperdomo 
PriorityurgentResolutionfixedFixed in Version2.50MP6
StatusclosedFix in branchFixed in SCM revisione60855cb6805
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0009984: Defined background accounting process only applies to System

DescriptionBackground process that is supposed to run continuously, it is actually running for System client only. That means that, for example, SmallBazaar client will not get any GL posting until a new process were created.
That leaves the default process useless.
Steps To ReproduceLogin into a fresh installation and check that SmallBazaar completed invoices are not posted
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0001108 closedalostale Process background dont accounting 

-  Notes
(0018780)
iperdomo (developer)
2009-08-03 07:15

There are several approaches to solve it:

1. Modify the background process defined in the System client to process all the clients in the instance. Stepping through all the clients defined and processing the accounting. This has a disadvantage to be less customizable, e.g. I want automatic posting in one client, and manual in other.

2. Create a new process request in the 'Initial Client Setup' for the newly created client. This approach modifies the initial client setup process, but the accounting process remains the same.

3. Modify the background process implementation to: process all clients if is defined at System level or process just one client if is defined in the client level (not System). With this approach you can define at System level to process all clients, or disable this process request and create a new one on each client where you want automatic accounting posting.
(0019279)
iperdomo (developer)
2009-08-30 11:42

This issue will be solved using option 3. By default background accounting process is defined and scheduled on client System, this will process all clients in the instance. If you want to disable the accounting process for an specific client, you must disable the process request on client System and create a new process request for the clients that require accounting.
(0019280)
hgbot (developer)
2009-08-30 16:12

Repository: erp/devel/pi
Changeset: 7cc39dc3d36dfbefa78db2be790054faf808b697
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Sun Aug 30 16:09:25 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7cc39dc3d36dfbefa78db2be790054faf808b697 [^]

Fixes issue 9984: Added support to process all clients on instance

---
M src/org/openbravo/erpCommon/ad_process/AcctServerProcess.java
---
(0019344)
hgbot (developer)
2009-08-31 14:35

Repository: erp/devel/pi
Changeset: e60855cb68054c7f93a3c5937a6dc3a1f9f2df45
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Mon Aug 31 14:35:03 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e60855cb68054c7f93a3c5937a6dc3a1f9f2df45 [^]

Fixes issue 9984: Added client filter to selectDocuments method

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/AcctServer_data.xsql
M src/org/openbravo/erpCommon/ad_process/AcctServerProcess.java
---
(0019483)
sureshbabu (reporter)
2009-09-07 13:28

Verified, background process is working fine

- Issue History
Date Modified Username Field Change
2009-07-21 20:15 plujan New Issue
2009-07-21 20:15 plujan Assigned To => rafaroda
2009-07-21 20:16 plujan Relationship added related to 0001108
2009-07-30 11:39 psarobe Assigned To rafaroda => iperdomo
2009-07-30 11:39 psarobe Status new => scheduled
2009-08-03 07:15 iperdomo Note Added: 0018780
2009-08-30 11:42 iperdomo Note Added: 0019279
2009-08-30 16:12 hgbot Checkin
2009-08-30 16:12 hgbot Note Added: 0019280
2009-08-30 16:12 hgbot Status scheduled => resolved
2009-08-30 16:12 hgbot Resolution open => fixed
2009-08-30 16:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7cc39dc3d36dfbefa78db2be790054faf808b697 [^]
2009-08-31 14:35 hgbot Checkin
2009-08-31 14:35 hgbot Note Added: 0019344
2009-08-31 14:35 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/7cc39dc3d36dfbefa78db2be790054faf808b697 [^] => http://code.openbravo.com/erp/devel/pi/rev/e60855cb68054c7f93a3c5937a6dc3a1f9f2df45 [^]
2009-09-07 13:28 sureshbabu Status resolved => closed
2009-09-07 13:28 sureshbabu Note Added: 0019483
2009-09-07 13:28 sureshbabu Fixed in Version => 2.50MP6
2009-09-08 00:00 anonymous sf_bug_id 0 => 2853887


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker